MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027381Open CASCADE[OCCT] OCCT:Documentationpublic2016-04-12 15:292017-09-29 16:29
Reportervpa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027381: Visualization - update description of method AIS_InteractiveContext::SetPixelTolerance()
DescriptionThe description of some selection methods in AIS contradicts with current implementation: for example, AIS_InteractiveContext::SetPixelTolerance.

It is necessary to check the relevance of selection methods' description and update if required.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029007closedbugmaster Visualization, AIS_InteractiveContext - the method for accessing Detected owners iterator is missing 

-  Notes
(0069447)
git (administrator)
2017-08-16 13:00

Branch CR27381 has been created by kgv.

SHA-1: 37dd9ab90bf60592b174c95b907b36b6d9759f1a


Detailed log of new commits:

Author: kgv
Date: Wed Aug 16 12:58:46 2017 +0300

    0027381: Visualization - update description of method AIS_InteractiveContext::SetPixelTolerance()
(0069477)
kgv (developer)
2017-08-16 16:51

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR27381-master-KGV [^]
(0069511)
bugmaster (administrator)
2017-08-17 11:54

Combination -
OCCT branch : CR27381 : SHA-1: 37dd9ab90bf60592b174c95b907b36b6d9759f1a
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR27381-master-KGV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0069611)
git (administrator)
2017-08-18 17:00

Branch CR27381 has been deleted by kgv.

SHA-1: 37dd9ab90bf60592b174c95b907b36b6d9759f1a

- Related Changesets
occt: master 51004f1c
Timestamp: 2017-08-16 09:58:46
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027381: Visualization - update description of method AIS_InteractiveContext::SetPixelTolerance()
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ToleranceMap.cxx Diff ] File ]
mod - src/StdSelect/FILES Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
rm - src/StdSelect/StdSelect_ViewerSelector3d.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-12 15:29 vpa New Issue
2016-04-12 15:29 vpa Assigned To => vpa
2016-04-12 15:30 vpa Status new => assigned
2016-04-12 15:30 vpa Summary Visualization - documentation related to some selection methods is outdated => Visualization - documentation of some selection methods is outdated
2016-11-22 10:52 kgv Target Version 7.1.0 => 7.2.0
2017-08-15 14:53 abv Assigned To vpa => kgv
2017-08-16 12:58 kgv Summary Visualization - documentation of some selection methods is outdated => Visualization - update description of method AIS_InteractiveContext::SetPixelTolerance()
2017-08-16 13:00 git Note Added: 0069447
2017-08-16 16:51 kgv Note Added: 0069477
2017-08-16 16:51 kgv Assigned To kgv => bugmaster
2017-08-16 16:51 kgv Status assigned => resolved
2017-08-16 16:51 kgv Status resolved => reviewed
2017-08-16 20:07 kgv Relationship added related to 0029007
2017-08-17 11:54 bugmaster Note Added: 0069511
2017-08-17 11:54 bugmaster Status reviewed => tested
2017-08-17 11:54 bugmaster Test case number => Not required
2017-08-18 12:53 bugmaster Changeset attached => occt master 51004f1c
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 12:53 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069611
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker